<div class="card-headder text-black ">
    <h1>#Modification site</h1> 
 </div>
<div class="container">
<div class="card">
    <div class="alert alert-error" *ngIf="errorMessage" >{{errorMessage}}</div>
    <div class="row">
        <div class="col-md m-auto">
            <div class="card card-body">
       
        <form  [formGroup]="siteForm" enctype="multipart/form-data" >
            <div class="row">
                <div class="form-group col-lg-6">
                    <label for="nom" class="font-bold block mb-2"> Nom </label>
                    <input  id="nom" class="form-control" 
                    formControlName="nom" 
                    minlength="4"
                    required type="text"/>
                </div>   
                <div class="form-group col-lg-6">
                    <label for="ville" class="font-bold block mb-2"> Ville </label>
                    <input  id="ville"  class="form-control" 
                    formControlName="ville" 
                    required type="text"/>
                </div>
                
            </div>
            <div class="row">
                <div class="form-group col-lg-6">
                    <label for="type" class="font-bold block mb-2"> Type </label>
                    <input  id="type"  class="form-control" 
                    required type="text" formControlName="type" 
                    minlength="4"
                   />
                </div>
                <div class="form-group col-lg-6">
                    <label for="photo" class="font-bold block mb-2"> Photo </label>
                    <input (change)="onFileSelected($event)"  id="photo"  class="file-input" type="file"
                    formControlName="photo"
                    />
                </div>
            </div>    
        <div class="form-group row mb-2">
            <div class="offset-md-2 col-md-4">
                <button class="btn btn-info mr-3" type="submit" (click)="updateSite()">Modifier</button>
            </div>
            <div class="offset-md-2 col-md-4">
                <button class="btn btn-danger mr-3" type="button">Annuler</button>
            </div>
        </div>
        </form>
    </div>
</div>
</div>
</div>
</div>